Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.principal
Interface WLSPrincipal

All Superinterfaces:
  Principal, Serializable

All Known Implementing Classes:
  WLSAbstractPrincipal, WLSGroupImpl, WLSUserImpl

    public interface WLSPrincipal

extends Principal, Serializable

The `WLSPrincipal` interface is a convenience interface that defines a principal whose name field will be signed by the `PrincipalValidatorImpl` class. To use this class, you should make the `PrincipalValidatorImpl` class the runtime class for your Principal Validation provider, or extend that class and make the extended class your Principal Validation provider. Then implement the required methods.

Note: Use of this class is not required by WebLogic Server. It is simply a convenience interface.

See Also:
  `WLSAbstractPrincipal`

Method Summary
`byte[]` | `getSalt()` Gets the principal's salt.
`byte[]` | `getSignature()` Gets the derived principal's trust signature.
`byte[]` | `getSignedData()` Gets the derived principal's signing data, which is used to generate the trust signature.
`void` | `setSignature(byte[] signature)` Sets the derived principal's trust signature.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getSignature

    byte[] getSignature()

  Gets the derived principal's trust signature.

  Returns:
    the derived principal's trust signature, represented as an array of bytes.

  See Also:
    `WLSPrincipal.setSignature(byte[])`

### setSignature

    void setSignature(byte[] signature)

  Sets the derived principal's trust signature.

  Parameters:
    `signature` - the derived principal's trust signsture, represented as an array of bytes.

  See Also:
    `WLSPrincipal.getSignature()`

### getSignedData

    byte[] getSignedData()

  Gets the derived principal's signing data, which is used to generate the trust signature.

  Returns:
    the derived principal's signing data, represented as a sequence of bytes in the platform's default charset.

### getSalt

    byte[] getSalt()

  Gets the principal's salt.

  Returns:
    the principal's salt, represented as an array of bytes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD